<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>SI-BKD Jabatan Struktural</title>
</head>
<body>

<div layout:fragment="main" class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div th:if="${success != null}" class="alert alert-success" role="alert">
                <span th:text="${success}"></span>
            </div>

            <div class="row mb-4">
                <div class="col-md-8">
                    <h3 class="text-black">Jabatan Struktural SI-BKD</h3>
                </div>
                <div class="col-md-4 justify-content-end" align="right">
                    <a class="btn btn-outline-success pull-right" th:href="@{/jabatan_struktural/baru}">+ Tambah jabatan struktural</a>
                </div>
            </div>
            <div class="row mb-4">
                <div class="col-md-11">
                    <input type="text" class="form-control" placeholder="Cari pengguna berdasarkan nama, email atau role" aria-label="First name">
                </div>
                <div class="col-md-1 d-grid gap-2">
                    <button class="btn btn-success">Cari</button>
                </div>
            </div>
            <div class="row mb-5">
                <div class="col-md-12 table-responsive">
                    <table class="table table-striped table-responsive table-bordered mb-3">
                        <thead class="table-dark bg-success border-white" style="--bs-table-bg:bg-success;">
                        <tr>
                            <th rowspan="2" class="align-middle text-center">No</th>
                            <th rowspan="2" class="align-middle text-center">Jabatan_truktural</th>
                            <th colspan="2" class="align-middle text-center">Pendidikan</th>
                            <th colspan="2" class="align-middle text-center">Penelitian</th>
                            <th rowspan="2" class="align-middle text-center">Pendidikan & Penelitian</th>
                            <th colspan="2" class="align-middle text-center">Pengabdian</th>
                            <th colspan="2" class="align-middle text-center">Penunjang</th>
                            <th rowspan="2" class="align-middle text-center">Pengabdian & Penunjang</th>
                            <th rowspan="2" class="align-middle text-center">Total Minimal</th>
                            <th rowspan="2" class="align-middle text-center">Total Maksimal</th>
                            <th rowspan="2" class="align-middle text-center"></th>
                        </tr>
                        <tr>
                            <th class="align-middle text-center">Minimal</th>
                            <th class="align-middle text-center">Maksimal</th>
                            <th class="align-middle text-center">Minimal</th>
                            <th class="align-middle text-center">Maksimal</th>
                            <th class="align-middle text-center">Minimal</th>
                            <th class="align-middle text-center">Maksimal</th>
                            <th class="align-middle text-center">Minimal</th>
                            <th class="align-middle text-center">Maksimal</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="data, row:${list}">
                            <td class="align-middle text-end" th:text="${(row.index + 1) + (list.number * list.size)}">1</td>
                            <td class="align-middle" th:text="${data.namaJabatanStruktural}">Dosen Biasa</td>
                            <td class="align-middle text-end" th:text="${data.batasBawahPendidikan+' SKS'}">suprayogi20@gmail.com</td>
                            <td class="align-middle text-end" th:text="${data.batasAtasPendidikan+' SKS'}">Super Admin</td>
                            <td class="align-middle text-end" th:text="${data.batasBawahPenelitian+' SKS'}">Super Admin</td>
                            <td class="align-middle text-end" th:text="${data.batasAtasPenelitian+' SKS'}">Super Admin</td>
                            <td class="align-middle text-end" th:text="${data.batasBawahPendidikanPenelitian+' SKS'}">Super Admin</td>
                            <td class="align-middle text-end" th:text="${data.batasBawahPengabdian+' SKS'}">Super Admin</td>
                            <td class="align-middle text-end" th:text="${data.batasAtasPengabdian+' SKS'}">Super Admin</td>
                            <td class="align-middle text-end" th:text="${data.batasBawahPenunjang+' SKS'}">Super Admin</td>
                            <td class="align-middle text-end" th:text="${data.batasAtasPenunjang+' SKS'}">Super Admin</td>
                            <td class="align-middle text-end" th:text="${data.batasBawahPengabdianPenunjang+' SKS'}">Super Admin</td>
                            <td class="align-middle text-end" th:text="${data.batasBawahTotal+' SKS'}">Super Admin</td>
                            <td class="align-middle text-end" th:text="${data.batasAtasTotal+' SKS'}">Super Admin</td>
                            <td class="align-middle">
                                <a class="btn btn-warning" th:href="@{jabatan_struktural/edit(jabatanStruktural=${data.getId()})}">Edit</a>
                            </td>
                        </tr>

                        </tbody>
                    </table>

                    <nav>
                        <ul class="pagination" sd:pagination="full">
                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                            <li class="active bg-success"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                        </ul>
                    </nav>
                </div>
            </div>

        </div>
    </div>

</div>
</body>
</html>